Skip to main content
PUT
/
v1
/
automations
/
:id
Update Automation
curl --request PUT \
  --url https://api.oviond.com/v1/automations/:id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "hours": "<string>",
  "minutes": "<string>",
  "timezone": "<string>",
  "time_format": "<string>",
  "recipients": [
    "[email protected]"
  ],
  "template_id": "<string>",
  "sender_id": "<string>",
  "date_text": "<string>",
  "day": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
frequency
enum<string>
Available options:
daily,
weekly,
monthly
hours
string
minutes
string
timezone
string
time_format
string
recipients
string<email>[]
template_id
string
sender_id
string
custom
object
date_text
string
day
string

Response

Automation updated

success
enum<boolean>
required
Available options:
true